Package: org.grails.encoder

## [Java] Class ChainedEncoder.ChainedEncoderCacheItem

- org.grails.encoder.ChainedEncoder.ChainedEncoderCacheItem

-     private static class ChainedEncoder.ChainedEncoderCacheItem

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `EncodedAppender` | `cachedChainedAppender` |
    `EncodedAppender` | `lastAppenderForCached` |
    `boolean` | `lastIgnoreEncodingStateForCached` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `EncodedAppender` | `getCached(EncodedAppender appender)`
    `` | `void` | `putInCache(EncodedAppender appender, EncodedAppender target)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### EncodedAppender cachedChainedAppender

    - #### EncodedAppender lastAppenderForCached

    - #### boolean lastIgnoreEncodingStateForCached

  - ### Method Detail

    - #### EncodedAppender getCached(EncodedAppender appender)

    - #### void putInCache(EncodedAppender appender, EncodedAppender target)